// import { authenticate } from "@/services/authService"
import NextAuth from "next-auth";
import type { AuthOptions } from "next-auth";
import CredentialsProvider from "next-auth/providers/credentials";

const authenticate = async (email: string, password: string) => {
  console.log("🚀 ~ file: route.ts:7 ~ authenticate ~ email:", email, password);
  return {
    user: {
      id: "12345",
      username: "john.doe@mailinator.com",
      email: "john.doe@mailinator.com",
      fullname: "John Doe",
      role: "SUPER",
      createdAt: "2021-05-30T06:45:19.000Z",
      name: "John Doe"
    },
    token: "1234567890"
  };
};

export const authOptions: AuthOptions = {
  providers: [
    CredentialsProvider({
      name: "Credentials",
      credentials: {
        email: { label: "Email", type: "text" },
        password: { label: "Password", type: "password" }
      },
      async authorize(credentials, req) {
        console.log(
          "🚀 ~ file: route.ts:31 ~ authorize ~ credentials:",
          credentials
        );
        if (typeof credentials !== "undefined") {
          const res = await authenticate(
            credentials.email,
            credentials.password
          );
          if (typeof res !== "undefined") {
            return { ...res.user, apiToken: res.token };
          } else {
            return null;
          }
        } else {
          return null;
        }
      }
    })
  ],
  secret: process.env.SECRET,
  session: { strategy: "jwt" }
};

const handler = NextAuth(authOptions);

export { handler as GET, handler as POST };
